org.wildfly.swarm.config.ejb3

## Class TimerService<T extends TimerService<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.ejb3.TimerService<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class TimerService<T extends TimerService<T>>
      extends HashMap

  The EJB timer service
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TimerService.TimerServiceResources` Child mutators for TimerService

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimerService()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `T` | `databaseDataStore(DatabaseDataStore value)` Add the DatabaseDataStore object to the list of subresources
    `T` | `databaseDataStore(DatabaseDataStoreSupplier supplier)` Install a supplied DatabaseDataStore object to the list of subresources
    `T` | `databaseDataStore(String childKey)` Create and configure a DatabaseDataStore object to the list of subresources
    `T` | `databaseDataStore(String childKey, DatabaseDataStoreConsumer consumer)` Create and configure a DatabaseDataStore object to the list of subresources
    `T` | `databaseDataStores(List<DatabaseDataStore> value)` Add all DatabaseDataStore objects to this subresource
    `String` | `defaultDataStore()` The default data store used for persistent timers
    `T` | `defaultDataStore(String value)` The default data store used for persistent timers
    `T` | `fileDataStore(FileDataStore value)` Add the FileDataStore object to the list of subresources
    `T` | `fileDataStore(FileDataStoreSupplier supplier)` Install a supplied FileDataStore object to the list of subresources
    `T` | `fileDataStore(String childKey)` Create and configure a FileDataStore object to the list of subresources
    `T` | `fileDataStore(String childKey, FileDataStoreConsumer consumer)` Create and configure a FileDataStore object to the list of subresources
    `T` | `fileDataStores(List<FileDataStore> value)` Add all FileDataStore objects to this subresource
    `String` | `getKey()`
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `TimerService.TimerServiceResources` | `subresources()`
    `String` | `threadPoolName()` The name of the thread pool used to run timer service invocations
    `T` | `threadPoolName(String value)` The name of the thread pool used to run timer service invocations

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### TimerService

          public TimerService()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public TimerService.TimerServiceResources subresources()

    - #### fileDataStores

          public T fileDataStores(List<FileDataStore> value)

      Add all FileDataStore objects to this subresource
      Parameters:
        `value` - List of FileDataStore objects.
      Returns:
        this

    - #### fileDataStore

          public T fileDataStore(FileDataStore value)

      Add the FileDataStore object to the list of subresources
      Parameters:
        `value` - The FileDataStore to add
      Returns:
        this

    - #### fileDataStore

          public T fileDataStore(String childKey,
                                 FileDataStoreConsumer consumer)

      Create and configure a FileDataStore object to the list of subresources
      Parameters:
        `key` - The key for the FileDataStore resource
        `config` - The FileDataStoreConsumer to use
      Returns:
        this

    - #### fileDataStore

          public T fileDataStore(String childKey)

      Create and configure a FileDataStore object to the list of subresources
      Parameters:
        `key` - The key for the FileDataStore resource
      Returns:
        this

    - #### fileDataStore

          public T fileDataStore(FileDataStoreSupplier supplier)

      Install a supplied FileDataStore object to the list of subresources

    - #### databaseDataStores

          public T databaseDataStores(List<DatabaseDataStore> value)

      Add all DatabaseDataStore objects to this subresource
      Parameters:
        `value` - List of DatabaseDataStore objects.
      Returns:
        this

    - #### databaseDataStore

          public T databaseDataStore(DatabaseDataStore value)

      Add the DatabaseDataStore object to the list of subresources
      Parameters:
        `value` - The DatabaseDataStore to add
      Returns:
        this

    - #### databaseDataStore

          public T databaseDataStore(String childKey,
                                     DatabaseDataStoreConsumer consumer)

      Create and configure a DatabaseDataStore object to the list of subresources
      Parameters:
        `key` - The key for the DatabaseDataStore resource
        `config` - The DatabaseDataStoreConsumer to use
      Returns:
        this

    - #### databaseDataStore

          public T databaseDataStore(String childKey)

      Create and configure a DatabaseDataStore object to the list of subresources
      Parameters:
        `key` - The key for the DatabaseDataStore resource
      Returns:
        this

    - #### databaseDataStore

          public T databaseDataStore(DatabaseDataStoreSupplier supplier)

      Install a supplied DatabaseDataStore object to the list of subresources

    - #### defaultDataStore

          public String defaultDataStore()

      The default data store used for persistent timers

    - #### defaultDataStore

          public T defaultDataStore(String value)

      The default data store used for persistent timers

    - #### threadPoolName

          public String threadPoolName()

      The name of the thread pool used to run timer service invocations

    - #### threadPoolName

          public T threadPoolName(String value)

      The name of the thread pool used to run timer service invocations

Copyright © 2018 JBoss by Red Hat. All rights reserved.